Subject: Re: bug#3330: Is this a bug? (Emacs 23.0.93)

From: liu shukui <[email-masked]>
Date: Wed, 20 May 2009 11:25:32 +0800

On Tue, May 19, 2009 at 7:11 PM, Alan Mackenzie <[email-masked]> wrote:
> Hi!
>
> On Tue, May 19, 2009 at 01:38:17PM +0800, liu shukui wrote:
>> Hi all,
>
>> I am using Emacs 23.0.93, When I run the  "occur" command in  the c++
>> source file,  this problem happens occasionally.  Is this a bug that
>> should be fixed?
>
> Maybe.  :-)
>
>> Error during redisplay: (void-function
>> font-lock-match-c++-style-declaration-item-and-skip-to-next) [6 times]
>
> A grep through the Emacs 23 lisp sources doesn't find this function (even
> when I remember not to quote the two plus signs ;-).  However, it existed
> in Emacs 21, but was removed from Emacs 22 after the font locking stuff
> for C++ Mode (etc.) was moved into CC Mode.
>
> There still exists the function
> font-lock-match-c-style-declaration-item-and-skip-to-next
>                ^^
> in font-lock.el, which obviously is very like the one you're missing.
> I don't know why the C one is still there but the C++ isn't.
>
>> GNU Emacs 23.0.93.1 (i686-pc-linux-gnu, GTK+ Version 2.12.11) of
>> 2009-05-04 on tux
>
> At a guess, you're somehow using old code, maybe something you
> byte-compiled when Emacs 21 was in fashion.  If that doesn't look like
> the problem, could you please see if you can reproduce the problem when
> you start Emacs-23 with "emacs -Q".
>
> --
> Alan Mackenzie (Nuremberg, Germany).
>
I use the  color-theme package, maybe this is the causation. I will
disable it to test emacs next few days.